Bug 996889 - Unable to change port offset for servers in domain
Unable to change port offset for servers in domain
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium
: ER3
: EAP 6.2.0
Assigned To: Heiko Braun
Jakub Cechacek
Russell Dickenson
:
Depends On:
Blocks: 1003533
  Show dependency treegraph
 
Reported: 2013-08-14 04:49 EDT by Petr Kremensky
Modified: 2015-02-01 18:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When changing the port offset for servers in a domain, the action failed with the resulting message: "Internal server error". The underlying cause was that the value of `socket-binding-group` on the `server-config` resource was undefined, so the attempt to change the server configuration, no value was pre-selected in the `Socket binding` select box. Consequently the first part of composite operation failed. The root cause has now been resolved and the port offset for servers in a domain can now be set in the web management console.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:18:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-08-14 04:49:24 EDT
Changing port offset for servers in domain fails with:

Response

Internal Server Error
{
    "outcome" => "failed",
    "result" => {
        "step-1" => {
            "outcome" => "failed",
            "failure-description" => "JBAS014704: '' is an invalid value for parameter socket-binding-group. Values must have a minimum length of 1 characters",
            "rolled-back" => true
        },
        "step-2" => {"outcome" => undefined}
    },
    "failure-description" => {"domain-failure-description" => {"JBAS014653: Composite operation failed and was rolled back. Steps that failed:" => {"Operation step-1" => "JBAS014704: '' is an invalid value for parameter socket-binding-group. Values must have a minimum length of 1 characters"}}},
    "rolled-back" => true
}
Comment 1 Jakub Cechacek 2013-08-14 05:04:22 EDT
By default the value of socket-binding-group on server-config resource is undefined - Thus when you attempt to change server configuration by default no value is pre-selected in "Socked binding" select box. Consequently the first part of composite operation fails 

{
            "operation" => "write-attribute",
            "address" => [
                ("host" => "master"),
                ("server-config" => "server-three")
            ],
            "name" => "socket-binding-group",
            "value" => ""
}, 


Correct value for no-selection should be either undefined or "standard-sockets", otherwise it's going to fail.
Comment 2 Petr Kremensky 2013-09-27 05:45:15 EDT
Verified on EAP 6.2.0.ER3

Note You need to log in before you can comment on or make changes to this bug.